Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 220 - Some cron jobs generate "No message, no subject; hope that's ok"
Summary: Some cron jobs generate "No message, no subject; hope that's ok"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: crontabs
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-29 01:00 UTC by Marc MERLIN
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-04-10 22:02:34 UTC


Attachments (Terms of Use)

Description Marc MERLIN 1998-11-29 01:00:37 UTC
This is an old bug forwarded to your new bug tracking system

Logrotate will sometimes send empty mails when it rotates
logfile on a time basis (when one of the files rotated is
empty, and logrotate is configured to mail the logfile that
is going to be erased)

There are other cron jobs that can generate empty mails
sometimes (I haven't bothered to track them down, but I know
they exist).

I think it'd be a good idea to modify /etc/crontab as
such:
#
run-parts
02 * * * * root run-parts /etc/cron.hourly | grep -v "Null
message body; hope that's
ok"
07 1 * * * root run-parts /etc/cron.daily | grep -v "Null
message body; hope that's
ok"
12 2 * * 0 root run-parts /etc/cron.weekly | grep -v "Null
message body; hope that's
ok"
17 3 1 * * root run-parts /etc/cron.monthly | grep -v "Null
message body; hope that's ok

Comment 1 Cristian Gafton 1998-12-10 23:46:59 UTC
Altough sometimes thos emessages can be annoying, som people count on
mail from cron to see if a job completed. We can not arbitrarily
filter cron mails by default, that falls under the responsabiliries of
the system administrator.


Note You need to log in before you can comment on or make changes to this bug.